import React, { Component } from 'react';
import { StyleSheet, Text, View, Button } from 'react-native';

export default class HomeScreen extends Component {
  static navigationOptions = {
    title: 'Welcome'
  };

  constructor(props) {
    super();
    this.state = {
      nom: 'Bhöbb',
      compte: 400
    };
  }

  _onPressButton() {
    
    this.props.navigation.navigate('Magasin', { 
      onGoBack: this.updateCompte,
      compte: this.state.compte 
    });

  }

  updateCompte = (data) => {
    this.setState({
      compte: data
    })
  }

  render() {
    const { navigate } = this.props.navigation;

    return (
      <View style={styles.container}>
        <Text>Mes infos : </Text>
        <Text>Nom : {this.state.nom}</Text>
        <Text>$$ : {this.state.compte}</Text>
        <Button
          title='Aller au magasin'
          onPress={() => this._onPressButton()}
        />
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center'
  }
});
